Reference
Change bot token
Revoke the bot's token through @BotFather (/revoke): every program still using the old token stops working. The new token is stored sealed and not returned.
View MarkdownThis page is generated from the source code on every release.
Revoke the bot's token through @BotFather (/revoke): every program still using the old token stops working. The new token is stored sealed and not returned.
Overview
| Name | Value |
|---|---|
| Code | bots.revoke_token |
| Scope needed | bots.manage |
| Risk | Dangerous |
| May need confirmation | Yes |
| Runs as | Answers right away |
Needs Idempotency-Key |
No |
| Member roles allowed | owner, manager |
| Needs a worker from version | 1.0.37 |
| In the app | Bots → Change token |
Input fields
| Field | Type | Required | Description |
|---|---|---|---|
botId |
uuid |
Yes | |
accountId |
uuid |
Yes |
Example request
curl -X POST https://tlg.builera.app/api/public/v2/ops/bots.revoke_token \
-H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
-H "Content-Type: application/json" \
-d '{"botId":"00000000-0000-0000-0000-000000000000","accountId":"00000000-0000-0000-0000-000000000000"}'Output fields (data)
| Field | Type | Required |
|---|---|---|
ok |
true |
Yes |
jobId |
text |
Yes |
Example answer
{
"data": {
"ok": true,
"jobId": "00000000-0000-4000-8000-000000000000"
}
}Using it over MCP
Not listed on any profile: call tools_describe then tools_run with code: "bots.revoke_token". Tool name when listed: bots_revoke_token.